CGAL 6.1.2 - dD Spatial Searching: SpatialTree Concept Reference

CGAL 6.1.2 - dD Spatial Searching

Loading...
Searching...
No Matches
List of all members
SpatialTree Concept Reference
Reference Manual » Concepts

## Definition

The concept `SpatialTree` defines the requirements for a tree supporting both neighbor searching and approximate range searching.

Has models
  `CGAL::Kd_tree<Traits,Splitter,UseExtendedNode>`

## Types
typedef unspecified_type | SearchTraits
| Search traits.
typedef unspecified_type | D
| Dimension tag.
typedef unspecified_type | Point_d
| Point type.
typedef unspecified_type | iterator
| Bidirectional const iterator with value type `Point_d` that allows to enumerate all points in the tree.
typedef unspecified_type | Node_handle
| Node handle.
typedef unspecified_type | Node_const_handle
| const node handle.
typedef unspecified_type | Point_d_iterator
| const iterator with value type `const Point_d*`.
typedef unspecified_type | Splitter
| Splitter.
typedef unspecified_type | Distance
| Distance.

## Creation
template<class InputIterator >
| Tree (InputIterator first, InputIterator beyond, SearchTraits t)
| Constructs a tree on the elements from the sequence `[first,beyond)`.

## Operations
template<class OutputIterator , class FuzzyQueryItem >
OutputIterator | search (OutputIterator it, FuzzyQueryItem q)
| Reports the points that are approximately contained by `q`.
iterator | begin () const
| Returns a const iterator to the first point in the tree.
iterator | end () const
| Returns the appropriate past-the-end const iterator.
Node_handle | root ()
| Returns a handle to the root node of the tree.
Node_const_handle | root () const
| Returns a const handle to the root node of the tree.
const Kd_tree_rectangle< SearchTraits::FT, D > & | bounding_box () const
| Returns a const reference to the bounding box of the root node of the tree.
unsigned int | size () const
| Returns the number of items that are stored in the tree.

## Member Function Documentation

## ◆ search()

template<class OutputIterator , class FuzzyQueryItem >

OutputIterator SpatialTree::search | ( | OutputIterator | it,
|  | FuzzyQueryItem | q
| ) |  |

Reports the points that are approximately contained by `q`.

The value type of `OutputIterator` must be `Point_d`.